---
title: Communication
published: 2020-02-07
---

> updated my journal

something i get asked a lot is *why* im so odd about my messaging applications of choice, and why i would put in so much effort for something that on the surface isnt much different.

thats because, **communication** is a beautiful thing.

so lets talk more about it

## the soul of the world

knowledge is the sum of your existence in this world, every day you learn new things about everything this world has to offer, and this is due to communication. a forest communicates with you, teaching you of life outside the concrete jungle. a bird can teach you the beauty of the wind, and every person you meet communicates to you some aspect of the knowledge theyve accumulated throughout their lives, sometimes without realising it.

communication is the only way to share this knowledge, and without it, your knowledge will be lost forever when you die.

this world is built by the communications of everything to everything else, and even the single human, trapped alone in spaces for the ages, is communicating the existence of the human race to the cosmos.

## a way to understand people

every thing we learn about others, every time we gain a new insight into how people think, and act, we do so through communicating with them.

i have communicated with many people who i would class as my friends, truly and openly communicated with them, for no other reason than they too saw the world in a similar way to my own.

i learnt a lot from them, and i still do.

all of this through nothing but pure communication, no contact, no visual image, simple text communication.

lifelong relationships, forged on simple communication, are possible and probable, and in many ways are stronger than impure communication by social contract, or by coincidence.

communication is the key to finding your way into the hearts and minds of others, whether platonically or romantically.

## man in the middle

since communication is so pure, so important, it baffles me how we do it today.

no longer can my heartfelt conversation be between myself and the person i wish to communicate to...

it is now between me, them, and the entire operating staff of facebook.

i cannot communicate words of advice to a coworker, lest i wish to impart that wisdom to all of management, and the entirety of the slack corporation

my texts go to a third party, my calls go to a third party, my messages go through a third party.

our communication has become a commodity. something that corporates can leech off of for profit, whilst spinning tales of all the ways our communication would be worse off without them.

## fin

the reason i stress so much about my *weird ass chat thingos* is because i miss talking to people as equals, i miss when the only pretense for communication was that i wanted to communicate with that person, and nothing more.

communication is powerful. a simple alphabet and a common tongue can give rise to infinite knowledge, emotions, connections and truths, it is an immensly mystical thing capable of so much more than the $5 animated emojis on discord rips you, or the intrusion of third parties into every intimate moment of communication you have.

we the people are not cattle, and our interactions are not something to be monetised and spied upon.

so let me communicate unto you, go forth, talk amongst yourselves, and try to think about whether we really want to be in the situation we're currently in.

if the answer is no, you should ask your nerd friend about xmpp, or any other form of decentrilised, free, libre and open source communication protocol.

`:wq`
