---
title: Witchery
published: 2019-06-17
---

computing is *magical*, in every sense of the word.

not computers, that is to say, **complex adding machines**

adding machines are *cool*, but computing is ***magic***

## wizardry

when i was a young witch/wizard i got into what im going to refer to as programming. it was done in the *arcane* (but not in the good way) language `Syee Plyus Plyus` and it was a neat toy.

that was all though, a toy.

you could take a series of registers, and flip them as you wanted, and write a list of instructions on how you wanted them flipped.

it wasnt magic, but it was useful.

and it was a *gateway*

## witchery

when i was an older, but still young witch/wizard, i had my inner eye ***opened***

i saw the light, the **magic**

i saw people who were proficient at *haskell*, and could weave reality to their whims

i saw people defining numbers in lambda calculus, adding without the concept of adding, creating their own concepts of truth, and limits, and flow

i saw time become malleable and infinites become finite

i saw elegance, i saw power, i saw simplicity, and i saw infinite expression

and it was on that day, i truely started my slow ascension towards witchhood

## wizardhood

what does computing mean to me? how can i work all day on a computer, and then come back home and spend more time on a computer, and enjoy doing it?

its simple, really

its the purest form of exploring, and, in my own way, i do quite enjoy exploring.

from humble beginnings, simple equations, simple forms

* count a list
* fold something
* filter and reduce

but do not get complacent, this is magic still.

we pull these into existence from thin air. occasionally we employ an adding machine to keep track, but as every great witch and wizard knows:

> actually running your code is just an implementation detail

and it should never get in the way of something elegant.

from small structures we expand up into towering monoliths, only for these to be bought back down to fit in the palm of our hands once again.

we look into the past, and the future, for whatever parts of our incantation has yet to be said, and if we cannot find anything, we simply say it ourselves.

we find meta levels on meta levels on meta levels, until we risk losing our minds to the great void, in the hopes of computing the next step towards the great god mage at the centre of it all

with bare hands we wrangle both ends of an infinite chain, and bend them towards each other, somehow folding them into a single pearl, fixed.

these moments are what a wizard looks forward to, these moments are what keeps a witch going.

moments like these are when i am truly exploring the frontier i wish to master

and moments like these are why im a proud mage.

`:wq`
